All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
GPIO: General-Purpose Input/Output Driver

## Overview

## Modules

| FGPIO Driver
| GPIO Driver

## Data Structures

struct | gpio_pin_config_t
| The GPIO pin configuration structure. More...

## Enumerations

enum | gpio_pin_direction_t { kGPIO_DigitalInput = 0U, kGPIO_DigitalOutput = 1U }
| GPIO direction definition. More...

## Driver version

#define | FSL_GPIO_DRIVER_VERSION (MAKE_VERSION(2, 1, 0))
| GPIO driver version 2.1.0. More...

## Data Structure Documentation

struct gpio_pin_config_t

Every pin can only be configured as either output pin or input pin at a time. If configured as a input pin, then leave the outputConfig unused Note : In some use cases, the corresponding port property should be configured in advance with the PORT_SetPinConfig()

### Data Fields

gpio_pin_direction_t | pinDirection
| GPIO direction, input or output.
uint8_t | outputLogic
| Set default output logic, no use in input.

## Macro Definition Documentation

#define FSL_GPIO_DRIVER_VERSION (MAKE_VERSION(2, 1, 0))

## Enumeration Type Documentation

enum gpio_pin_direction_t

Enumerator
kGPIO_DigitalInput | Set current pin as digital input.
kGPIO_DigitalOutput | Set current pin as digital output.